{% extends "header.html" %}
{% load url from future %}

{% block contenido %}
    <div class="row clearfix">
    	{% for factura, lista_lineas, avisado in lista_pedidos %}
    		<form method="POST" id="orders_form_{{factura.id}}"> {% csrf_token %}
	    		<div class="column col-md-6">
				    <div class="panel panel-default">
				        <div class="panel-heading">
				          <h5>
				            <a onClick="
				            	submitform('orders_form_{{factura.id}}');
				            ">
			    				{{factura.id}}
			    				{% if avisado %}
			    				<div style="color: red;" align="center">
			    				{% else %}
			    				<div align="center">
			    				{% endif %}
			    				{% for linea in lista_lineas %}
			    					{{linea.producto_nombre}} x{{linea.producto_cantidad_vendida}}<br />
			    				{% endfor %}
			    				</div>
			    				<input type="text" style="display:none;" name="orders_checked" value="{{factura.id}}">
				            </a>
				          </h5>
				        </div>
				    </div>
	    		</div>
    		</form>
    	{% endfor %}
    </div>
{% endblock %}

{% block js %}
	<script type="text/javascript">

		$(document).ready(comprobar_pedidos);

		function comprobar_pedidos() {
			setTimeout(function(){

				var lista_pedidos = [];
				var pedidos = ""

				{% for factura, lista_lineas, avisado in lista_pedidos %}
					lista_pedidos.push("{{factura.id}}");
				{% endfor %}

				for (i=0;i<lista_pedidos.length;i++) {
					pedidos = pedidos + "-" + lista_pedidos[i];
				}

				$.ajax({
					data: {"pedidos":pedidos},
					url: '/orders_ajax',
					type: 'get',
					success: function(data){
						if (data!="no") {
							history.go(0);
						} else {
							comprobar_pedidos();
						}
					}
				});
				
			}, 5000);
		}

	</script>
{% endblock %}




